<div class="p-20">
	<div class="mb-20">

		<div class="breadcrumbs" >
			<a class="breadcrumbs__item"
				routerLink="../">
				<span> К списку пакетов с рейтингами </span>
			</a>
		</div>

		<div>
			<h3 fxFlex=""> Детализация по загруженному пакету с рейтингами</h3>

		</div>


	</div>

	<app-loader *ngIf="isLoad"></app-loader>

	<div class="art-card"
		[@animate]="{value:'*',params:{delay:'300ms',y:'25px'}}">

		<table mat-table [dataSource]="data">

			<ng-container matColumnDef="id">
				<th mat-header-cell *matHeaderCellDef > ID </th>
				<td mat-cell *matCellDef="let row"> {{ row.id }}</td>
			</ng-container>

			<ng-container matColumnDef="competitiveGroup">
				<th mat-header-cell *matHeaderCellDef > Конкурсная группа</th>
				<td mat-cell *matCellDef="let row"> {{row.name_competitive_group || 'не определена'}} </td>
			</ng-container>

			<ng-container matColumnDef="appNumber">
				<th mat-header-cell *matHeaderCellDef >Номер заявления</th>
				<td mat-cell *matCellDef="let row"> {{ row.app_number || 'не найдено'}}</td>
			</ng-container>

			<ng-container matColumnDef="uidEpgu">
				<th mat-header-cell *matHeaderCellDef >UID ЕПГУ заявления</th>
				<td mat-cell *matCellDef="let row"> {{ row.uid_epgu || 'не найдено'}}</td>
			</ng-container>

			<ng-container matColumnDef="admissionVolume">
				<th mat-header-cell *matHeaderCellDef > Всего мест</th>
				<td mat-cell *matCellDef="let row"> {{row.admission_volume}} </td>
			</ng-container>
			<ng-container matColumnDef="сommonRating">
				<th mat-header-cell *matHeaderCellDef > Рейтинг при подаче</th>
				<td mat-cell *matCellDef="let row"> {{row.common_rating}} </td>
			</ng-container>
			<ng-container matColumnDef="agreedRating">
				<th mat-header-cell *matHeaderCellDef > Рейтинг c согласием</th>
				<td mat-cell *matCellDef="let row"> {{row.agreed_rating}} </td>
			</ng-container>
			<ng-container matColumnDef="firstRating">
				<th mat-header-cell *matHeaderCellDef > Рейтинг реккоменд. к зач.</th>
				<td mat-cell *matCellDef="let row"> {{row.first_rating}} </td>
			</ng-container>
			<ng-container matColumnDef="сhangeRating">
				<th mat-header-cell *matHeaderCellDef > Позиция в рейтинге</th>
				<td mat-cell *matCellDef="let row"> {{row.change_rating}} </td>
			</ng-container>
			<ng-container matColumnDef="countApplication">
				<th mat-header-cell *matHeaderCellDef > Всего заявлений</th>
				<td mat-cell *matCellDef="let row"> {{row.count_application}} </td>
			</ng-container>
			<ng-container matColumnDef="countAgreed">
				<th mat-header-cell *matHeaderCellDef > Всего согласий</th>
				<td mat-cell *matCellDef="let row"> {{row.count_agreed}} </td>
			</ng-container>
			<ng-container matColumnDef="countFirstStep">
				<th mat-header-cell *matHeaderCellDef > Мест на 1й этап приема</th>
				<td mat-cell *matCellDef="let row"> {{row.count_first_step}} </td>
			</ng-container>
			<ng-container matColumnDef="countSecondStep">
				<th mat-header-cell *matHeaderCellDef > Мест на 2й этап приема</th>
				<td mat-cell *matCellDef="let row"> {{row.count_second_step}} </td>
			</ng-container>


			<ng-container matColumnDef="changed">
				<th mat-header-cell *matHeaderCellDef >Дата обновления</th>
				<td mat-cell *matCellDef="let row"> {{ row.changed | date: 'dd.MM.yyyy HH:mm' }}</td>
			</ng-container>

			<ng-container matColumnDef="checked">
				<th mat-header-cell *matHeaderCellDef > Добавлено</th>
				<td mat-cell *matCellDef="let row"> {{ row.checked | yesNo }}</td>
			</ng-container>

			<ng-container matColumnDef="error">
				<th mat-header-cell *matHeaderCellDef > Ошибка</th>
				<td mat-cell *matCellDef="let row"> {{ row.error || '-'}}</td>
			</ng-container>


			<ng-container matColumnDef="noRecord">
				<td mat-footer-cell *matFooterCellDef  [colSpan]="displayedColumns.length" ><i>Данные не найдены</i> </td>
			</ng-container>

			<tr mat-header-row *matHeaderRowDef="displayedColumns; sticky: false"></tr>
			<tr mat-row
				class="table-row"
				*matRowDef="let item; columns: displayedColumns; " >

			</tr>
			<tr mat-row *matFooterRowDef="['noRecord'] " [hidden]="data.length" ></tr>

		</table>
		<mat-paginator  [length]="total"
			[pageIndex]="params.page - 1"
			[pageSize]="params.limit"
			(page)="pagination.next($event)"
			[pageSizeOptions]="pageSizeOptions"
			showFirstLastButtons>
		</mat-paginator>
	</div>
</div>
